import * as defs from '../../definitions';
export declare const createPrimitiveParser: <T extends defs.CodecType>(type: T) => import("..").Parser<T, defs.AnyCodec>;
export declare const StringParser: import("..").Parser<defs.CodecType.String, defs.AnyCodec>;
export declare const NumberParser: import("..").Parser<defs.CodecType.Number, defs.AnyCodec>;
export declare const BooleanParser: import("..").Parser<defs.CodecType.Boolean, defs.AnyCodec>;
export declare const NullParser: import("..").Parser<defs.CodecType.Null, defs.AnyCodec>;
export declare const AnyParser: import("..").Parser<string, defs.AnyCodec>;
export declare const EnumParser: import("..").Parser<string, defs.EnumCodec<any>>;
export declare const LiteralParser: import("..").Parser<string, defs.LiteralCodec<any>>;
