import * as defs from '../definitions';
declare type SupportedCodec = defs.ObjectCodec<any> | defs.Intersection<defs.AnyCodec, defs.AnyCodec> | defs.Union<defs.AnyCodec, defs.AnyCodec>;
export declare type OmitCodec<C extends SupportedCodec, Mask extends string | number | symbol> = defs.Codec<Omit<defs.Ix<C>, Mask>, Omit<defs.Ox<C>, Mask>, defs.Cx<C>['T'], defs.Cx<C>['P']>;
export declare const omit: <T extends SupportedCodec, K extends keyof defs.Ix<T>, Mask extends [K, ...K[]]>(codec: T, mask: Mask) => OmitCodec<T, Mask[number]>;
export {};
